Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch.jaxb.wsa.v200408
Class IncomingAddressingHeaders

    java.lang.Object
      com.atomikos.icatch.jaxb.wsa.IncomingAddressingHeaders
          com.atomikos.icatch.jaxb.wsa.v200408.IncomingAddressingHeaders

All Implemented Interfaces:
  Serializable

    public class IncomingAddressingHeaders

extends IncomingAddressingHeaders

Copyright © 2005-2009, Atomikos. All rights reserved. Implementation for the 2004/08 WSA version.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.atomikos.icatch.jaxb.wsa.IncomingAddressingHeaders
`messageId, target`

Method Summary
`OutgoingAddressingHeaders` | `createFaultAddress()` Creates a fault address according to the fault/reply parameters in the incoming addressing data.
`OutgoingAddressingHeaders` | `createReplyAddress()` Creates a reply address according to the reply parameters in the incoming addressing data.
`static IncomingAddressingHeaders` | `extractFromContext(javax.xml.ws.handler.MessageContext messageContext)` Extracts an instance from the WS-A headers in an incoming SOAP message.
`String` | `getSenderURI()` Gets/extracts/creates a URI representation of the remote sender of a message - as determined by the replyTo EPR (if any).

Methods inherited from class com.atomikos.icatch.jaxb.wsa.IncomingAddressingHeaders
`getMessageId, getTarget, setMessageId, setTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### createFaultAddress

    public OutgoingAddressingHeaders createFaultAddress()

  Description copied from class: `IncomingAddressingHeaders`
  Creates a fault address according to the fault/reply parameters in the incoming addressing data.

  Specified by:
    `createFaultAddress` in class `IncomingAddressingHeaders`
  Returns:
    The address, or null if not applicable. The result will automatically have the to, reference properties, and the relatesTo headers set appropriately.

### createReplyAddress

    public OutgoingAddressingHeaders createReplyAddress()

  Description copied from class: `IncomingAddressingHeaders`
  Creates a reply address according to the reply parameters in the incoming addressing data.

  Specified by:
    `createReplyAddress` in class `IncomingAddressingHeaders`
  Returns:
    The reply address, or null if no reply headers were present. The result will automatically have the to, reference properties, and the relatesTo headers set appropriately.

### getSenderURI

    public String getSenderURI()

  Gets/extracts/creates a URI representation of the remote sender of a message - as determined by the replyTo EPR (if any). This URI is needed internally, to represent the remote sender as a unique String value.

  Returns:
    The URI as a String, constructed from the concatenation of the replyTo address data and address reference properties, or null if no replyTo EPR was found.

### extractFromContext

    public static IncomingAddressingHeaders extractFromContext(javax.xml.ws.handler.MessageContext messageContext)

  Extracts an instance from the WS-A headers in an incoming SOAP message.

  Parameters:
    `messageContext` -
  Returns:
    An instance that allows getting the WSA RefProps for the local target transaction as well as creating a reply or fault instance. In this case, all the getters should return non-null results, since the WS-A applies to a local transaction know in this service.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.